org.jboss.jca.common.api.metadata.ds

## Interface CommonDataSource

- All Superinterfaces:
    JCAMetadata, java.io.Serializable, ValidatableMetadata
  All Known Subinterfaces:
    DataSource, XaDataSource

      public interface CommonDataSource
      extends JCAMetadata, ValidatableMetadata

  A CommonDataSource.
  Author:
    Stefano Maestri

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDriver()` Get the driver
    `java.lang.String` | `getJndiName()` Get the jndiName.
    `java.lang.String` | `getMcp()` Get the mcp
    `java.lang.String` | `getPoolName()` Get the poolName.
    `DsSecurity` | `getSecurity()` Get the security.
    `TimeOut` | `getTimeOut()` Get the timeOut
    `TransactionIsolation` | `getTransactionIsolation()` Get the transactionIsolation.
    `Validation` | `getValidation()` Get the validation.
    `java.lang.Boolean` | `isEnabled()` Get the enabled.
    `java.lang.Boolean` | `isEnlistmentTrace()` Get the enlistment trace
    `java.lang.Boolean` | `isSpy()` Get the spy.
    `java.lang.Boolean` | `isUseCcm()` Get the use-ccm.
    `java.lang.Boolean` | `isUseJavaContext()` Get the useJavaContext.
    `void` | `setEnabled(java.lang.Boolean enabled)` Set the enabled.

    - ### Methods inherited from interface org.jboss.jca.common.api.metadata.ValidatableMetadata

      `validate`

- - ### Method Detail

    - #### getTransactionIsolation

          TransactionIsolation getTransactionIsolation()

      Get the transactionIsolation.
      Returns:
        the transactionIsolation.

    - #### getTimeOut

          TimeOut getTimeOut()

      Get the timeOut
      Returns:
        the timeOut.

    - #### getSecurity

          DsSecurity getSecurity()

      Get the security.
      Returns:
        the security.

    - #### getValidation

          Validation getValidation()

      Get the validation.
      Returns:
        the validation.

    - #### isUseJavaContext

          java.lang.Boolean isUseJavaContext()

      Get the useJavaContext.
      Returns:
        the useJavaContext.

    - #### getPoolName

          java.lang.String getPoolName()

      Get the poolName.
      Returns:
        the poolName.

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Get the enabled.
      Returns:
        the enabled.

    - #### getJndiName

          java.lang.String getJndiName()

      Get the jndiName.
      Returns:
        the jndiName.

    - #### isSpy

          java.lang.Boolean isSpy()

      Get the spy.
      Returns:
        the spy.

    - #### isUseCcm

          java.lang.Boolean isUseCcm()

      Get the use-ccm.
      Returns:
        the use-ccm.

    - #### getMcp

          java.lang.String getMcp()

      Get the mcp
      Returns:
        the mcp

    - #### isEnlistmentTrace

          java.lang.Boolean isEnlistmentTrace()

      Get the enlistment trace
      Returns:
        the enlistment trace

    - #### getDriver

          java.lang.String getDriver()

      Get the driver
      Returns:
        The value

    - #### setEnabled

          void setEnabled(java.lang.Boolean enabled)

      Set the enabled.
      Parameters:
        `enabled` - The enabled to set.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)